# Turn an Arduino's built-in LED on and off by pushing GUI buttons.
# Works in cooperation with serialbutton.ino on the Arduino side.

# Serial comms library
import serial
# GUI library
import tkinter as tk

# Create a serial object.  Change 'COM7' to match your computer's serial
# port, or use serial.tools.list_ports.comports() to get a list of options.
ser = serial.Serial('/dev/cu.usbserial-FT9OVQJQ',9600,timeout=1)

# Create a window.
window = tk.Tk()


# This function is called when the 'On' button is pressed.
def handle1():	
	ser.write(b'1')

def handle2():	
	ser.write(b'2')
    
def handle3():
    ser.write(b'3')
    
def handle4():
    ser.write(b'4')
    
def handle5():
    ser.write(b'5')
    
def handle6():
    ser.write(b'6')
    
def handle7():
    ser.write(b'7')
    
def handle8():
    ser.write(b'8')
    
def handle9():
    ser.write(b'9')

# Create and display the on button
button1 = tk.Button(text='1',command=handle1)
button1.grid(row=1, column=1)

# Create and display the off button
button2 = tk.Button(text='2',command=handle2)
button2.grid(row=1, column=2)

button3 = tk.Button(text='3',command=handle3)
button3.grid(row=1, column=3)

button4 = tk.Button(text='4',command=handle4)
button4.grid(row=2, column=1)

button5 = tk.Button(text='5',command=handle5)
button5.grid(row=2, column=2)

button6 = tk.Button(text='6',command=handle6)
button6.grid(row=2, column=3)

button7 = tk.Button(text='7',command=handle7)
button7.grid(row=3, column=1)

button8 = tk.Button(text='8',command=handle8)
button8.grid(row=3, column=2)

button9 = tk.Button(text='9',command=handle9)
button9.grid(row=3, column=3)

# Start watching the window waiting for button presses.
window.mainloop()
